io.vertx.groovy.core.cli

## Class CommandLine_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.core.cli.CommandLine_GroovyExtension

-     public class CommandLine_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandLine_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `acceptMoreValues(CommandLine j_receiver, Map<String,Object> option)`
    `static <T> Object` | `getArgumentValue(CommandLine j_receiver, int index)`
    `static <T> Object` | `getArgumentValue(CommandLine j_receiver, String name)`
    `static <T> Object` | `getOptionValue(CommandLine j_receiver, String name)`
    `static String` | `getRawValueForArgument(CommandLine j_receiver, Map<String,Object> arg)`
    `static String` | `getRawValueForOption(CommandLine j_receiver, Map<String,Object> option)`
    `static List<String>` | `getRawValues(CommandLine j_receiver, Map<String,Object> option)`
    `static List<String>` | `getRawValuesForArgument(CommandLine j_receiver, Map<String,Object> argument)`
    `static List<String>` | `getRawValuesForOption(CommandLine j_receiver, Map<String,Object> option)`
    `static boolean` | `isArgumentAssigned(CommandLine j_receiver, Map<String,Object> arg)`
    `static boolean` | `isOptionAssigned(CommandLine j_receiver, Map<String,Object> option)`
    `static boolean` | `isSeenInCommandLine(CommandLine j_receiver, Map<String,Object> option)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandLine_GroovyExtension

          public CommandLine_GroovyExtension()

  - ### Method Detail

    - #### getOptionValue

          public static <T> Object getOptionValue(CommandLine j_receiver,
                                                  String name)

    - #### getArgumentValue

          public static <T> Object getArgumentValue(CommandLine j_receiver,
                                                    String name)

    - #### getArgumentValue

          public static <T> Object getArgumentValue(CommandLine j_receiver,
                                                    int index)

    - #### isOptionAssigned

          public static boolean isOptionAssigned(CommandLine j_receiver,
                                                 Map<String,Object> option)

    - #### getRawValues

          public static List<String> getRawValues(CommandLine j_receiver,
                                                  Map<String,Object> option)

    - #### getRawValuesForOption

          public static List<String> getRawValuesForOption(CommandLine j_receiver,
                                                           Map<String,Object> option)

    - #### getRawValuesForArgument

          public static List<String> getRawValuesForArgument(CommandLine j_receiver,
                                                             Map<String,Object> argument)

    - #### getRawValueForOption

          public static String getRawValueForOption(CommandLine j_receiver,
                                                    Map<String,Object> option)

    - #### acceptMoreValues

          public static boolean acceptMoreValues(CommandLine j_receiver,
                                                 Map<String,Object> option)

    - #### getRawValueForArgument

          public static String getRawValueForArgument(CommandLine j_receiver,
                                                      Map<String,Object> arg)

    - #### isArgumentAssigned

          public static boolean isArgumentAssigned(CommandLine j_receiver,
                                                   Map<String,Object> arg)

    - #### isSeenInCommandLine

          public static boolean isSeenInCommandLine(CommandLine j_receiver,
                                                    Map<String,Object> option)

Copyright © 2017. All rights reserved.